import { ScatterBase } from "./ScatterBase";
import { UnknownValuePlotting } from "igniteui-angular-core";
import { Series } from "./Series";
import { Type, Point } from "igniteui-angular-core";
import { ScatterFrame } from "./ScatterFrame";
import { SeriesView } from "./SeriesView";
import { ScatterBaseView } from "./ScatterBaseView";
/**
 * @hidden
 */
export declare class ScatterLineSeries extends ScatterBase {
    static $t: Type;
    protected bk(): Series;
    protected get_fl(): boolean;
    constructor();
    protected ct(): SeriesView;
    protected z6(): boolean;
    protected jn(): number;
    gx(a: Point, b: boolean): boolean;
    private acy;
    abp(a: ScatterFrame, b: ScatterBaseView): void;
    private ac5;
    protected get_z0(): boolean;
    ab0(a: ScatterFrame, b: ScatterBaseView): void;
    private ac3;
    private acz;
    private ac2;
    acx: UnknownValuePlotting;
    protected rg(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
